Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 636588 - dev-python/python-ebtables-0.2.0 : TypeError: Unicode-objects must be encoded before hashing
Summary: dev-python/python-ebtables-0.2.0 : TypeError: Unicode-objects must be encoded...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-05 09:14 UTC by Toralf Förster
Modified: 2018-10-08 20:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.90 KB, text/plain)
2017-11-05 09:14 UTC, Toralf Förster
Details
dev-python:python-ebtables-0.2.0:20171105-090558.log (dev-python:python-ebtables-0.2.0:20171105-090558.log,5.01 KB, text/plain)
2017-11-05 09:14 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,181.65 KB, text/plain)
2017-11-05 09:14 UTC, Toralf Förster
Details
environment (environment,106.59 KB, text/plain)
2017-11-05 09:14 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.03 KB, application/x-bzip)
2017-11-05 09:14 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,25.08 KB, application/x-bzip)
2017-11-05 09:14 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-11-05 09:14:04 UTC
  File "/var/tmp/portage/dev-python/python-ebtables-0.2.0/work/python-ebtables-0.2.0/ebtables.py", line 88, in <module>
    _hash = hashlib.sha1('\0'.join([_cdef, _verify])).hexdigest()
TypeError: Unicode-objects must be encoded before hashing
 * ERROR: dev-python/python-ebtables-0.2.0::gentoo failed (compile phase):
 *   (no error message)
 * 

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-systemd_test_20171031-164654

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy (fallback)




emerge -qpv dev-python/python-ebtables
[ebuild  N    ] dev-python/python-ebtables-0.2.0  PYTHON_TARGETS="python2_7 python3_4 -python3_5 -python3_6"
Comment 1 Toralf Förster gentoo-dev 2017-11-05 09:14:07 UTC
Created attachment 502646 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-11-05 09:14:10 UTC
Created attachment 502648 [details]
dev-python:python-ebtables-0.2.0:20171105-090558.log
Comment 3 Toralf Förster gentoo-dev 2017-11-05 09:14:13 UTC
Created attachment 502650 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-11-05 09:14:16 UTC
Created attachment 502652 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-11-05 09:14:19 UTC
Created attachment 502654 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-11-05 09:14:22 UTC
Created attachment 502656 [details]
temp.tbz2